comment ~
*************************************************************************
*	This is a file demonstrating the usage of video.inc,		*
*	a routine library used for displaying higher resolution		*
*	modes on vesa compatable video cards.  It was designed for	*
*	use with Dieter Pawelczak's Pro32 DOS Extender.  It is		*
*	relatively easy to use, and it has worked on all of the		*
*	different machines I've tested them on (except an old laptop).	*
*	It presently does not support the flat mode vesa routines,	*
*	because relatively few video cards are capable to use them.	*
*	Look for future releases to include the flat mode vesa 		*
*	routines.  When using regular 16 bit mode, a faster bank	*
*	switching method is availiable, but in protected mode, it is	*
*	awkward to call.						*
*	by Chris Hazard		chazard@hartford.k12.wi.us		*
*									*
*	please e-mail me if you have any problems, comments, questions	*
*	this e-mail will be good until June 10 (?) 1998			*
*	I will post my new e-mail when I get it (it will be after 5/10)	*
*************************************************************************
~

.486
CCSEG              SEGMENT PARA    PUBLIC  'CODE'    USE32
		ASSUME  CS:CCSEG, DS:CCSEG, ES:CCSEG, SS:CCSEG
      ORG 00000100h

START:		mov esi,offset Palette		;
		mov [ModeToSet],101h		;set this mode
		call Initialize			;initialize video
		mov ecx,480*640/4		;size of screen buffer
						;in DWORDS
		mov eax,64327b1ah		;random color pattern
		push es				;store video pointer
		mov bx,[ScreenBuffer]
		mov es,bx			;ditto
		xor edi,edi			;
	rep	stosd				;fill ScreenBuffer with
						;random color
		pop es				;restore es (don't need to)
		call FlushSBuffer		;display screenbuffer
		xor eax,eax			;call int 16,0
		int 16h				;(wait for key pressed)

		mov esi,offset Palette		;change palette
		inc esi				;by moving it one forward
		call SetPal
		
		xor eax,eax			;get key
		int 16h

		call ReturnMode			;Return video mode
						;-essential
		mov ax,4c00h			;exit
		int 21h				;
include palette.inc				;include my palette
include video.inc				;include the good stuff

ENDS
END START
END